export declare class SmzUiGuideBaseStylesBuilder<TSelf, TBuilder> {
    private _builder;
    private _styles;
    protected that: TSelf;
    constructor(_builder: TBuilder, _styles: {
        styleClass: string;
    });
    override(styleClass: string): TSelf;
    darker(): TSelf;
    blurry(): TSelf;
    lighter(): TSelf;
    grayscale(): TSelf;
}
